summary refs log tree commit diff
path: root/sign.sh
diff options
context:
space:
mode:
authorMatt Arnold <matt@thegnuguru.org>2023-01-01 09:33:48 -0500
committerMatt Arnold <matt@thegnuguru.org>2023-01-01 09:33:48 -0500
commit774829cbc42cb5af599e1ab720d108c94bc63cb5 (patch)
treeb54ed971d1c3114a92ce9618576554dca535443f /sign.sh
parent88625d3a395a4bbc42bffefcce3f807d3af1e39c (diff)
Sync up with production
Diffstat (limited to 'sign.sh')
-rw-r--r--sign.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/sign.sh b/sign.sh
new file mode 100644
index 0000000..3492df2
--- /dev/null
+++ b/sign.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+set -e
+
+[ -f intercept.key ] ||
+	openssl genrsa -out intercept.key 2048
+
+[ -f intercept.csr ] ||
+	openssl req -new -key intercept.key -out intercept.csr -subj /CN=intercept.miniweb
+
+openssl x509 -sha256 -req -days 365 -in intercept.csr -out intercept.crt -signkey intercept.key